name: build

on:
  push:
    branches: [ master ]
  pull_request:
    branches: [ master ]
  workflow_dispatch:

env:
  CARGO_TERM_COLOR: always

jobs:
  build:
    runs-on: native
    steps:
    - uses: actions/checkout@v2
    - name: build
      run: |
        nix build
